Re: [ABANDONED] Re: Build fail on Libgpg-error on Windows with gawk 5.0

2019-05-29 Thread Sophia Schröder
Downgrading gawk to 4.2.1 is the best way to let it work ootb. Am 27.05.2019 um 17:58 schrieb Luke Benes: > This long weekend, I attempted to update the patch for libgpg-error-1.36. > This went well until I hit a new file in 1.36, sysutils.c, which makes use of  > a UNIX header .  Thorsten

Re: [ABANDONED] Re: Build fail on Libgpg-error on Windows with gawk 5.0

2019-05-27 Thread Luke Benes
This long weekend, I attempted to update the patch for libgpg-error-1.36. This went well until I hit a new file in 1.36, sysutils.c, which makes use of  a UNIX header .  Thorsten converted this to a win32's in other files,[1] but following his example didn't work for me here. We really need

Re: [ABANDONED] Re: Build fail on Libgpg-error on Windows with gawk 5.0

2019-05-22 Thread Luke Benes
Thorsten fixed it. It's working now for me. Thanks! ___ LibreOffice mailing list LibreOffice@lists.freedesktop.org https://lists.freedesktop.org/mailman/listinfo/libreoffice

Re: [ABANDONED] Re: Build fail on Libgpg-error on Windows with gawk 5.0

2019-05-22 Thread Julien Nabet
On 22/05/2019 17:45, Luke Benes wrote: https://dev-www.libreoffice.org/src/libgpg-error-1.36.tar.bz2 I'm getting:403 Forbidden Error ... No pb here to download it. Perhaps it was just a temporary pb, do you still reproduce this? Julien ___

Re: [ABANDONED] Re: Build fail on Libgpg-error on Windows with gawk 5.0

2019-05-22 Thread Luke Benes
https://dev-www.libreoffice.org/src/libgpg-error-1.36.tar.bz2 I'm getting:  403 Forbidden Error https://dev-www.libreoffice.org/src/libgpg-error-1.27.tar.bz2 Correctly downloads the tarball After the 403 issue with 1.36 is fixed, I'll be happy to create a patch to update download.lst and

Re: [ABANDONED] Re: Build fail on Libgpg-error on Windows with gawk 5.0

2019-05-22 Thread Thorsten Behrens
Hi Luke, slacka wrote: > Can we update this tarball so that new LODE installs can work again? > I've uploaded the tarball to https://dev-www.libreoffice.org/src/libgpg-error-1.36.tar.bz2 - want to have a go at updating the reference in download.lst (and potentially tweaking a few patches)?

Re: [ABANDONED] Re: Build fail on Libgpg-error on Windows with gawk 5.0

2019-05-21 Thread slacka
We are still using libgpg-error v1.27 but the latest version on their download page is 1.36. Can we update this tarball so that new LODE installs can work again? https://gnupg.org/download/index.html#libgpg-error -- Sent from:

Re: [ABANDONED] Re: Build fail on Libgpg-error on Windows with gawk 5.0

2019-04-23 Thread Thorsten Behrens
Hi Julien, Julien Nabet wrote: > Gerrit failed on it. I had the same on Linux but thought it was something > else. Since I got no idea of the pb and don't want to waste some time on it, > let's wait next release of libgpg-error. > Ugh - so it seems that there are breaking changes in gawk 5.0

[ABANDONED] Re: Build fail on Libgpg-error on Windows with gawk 5.0

2019-04-23 Thread Julien Nabet
On 23/04/2019 21:27, Julien Nabet wrote: On 23/04/2019 18:01, Thorsten Behrens wrote: Hi Julien, julien2412 wrote: It's been fixed upstream (see https://github.com/gpg/libgpg-error/commit/7865041c77f4f7005282f10f9bb19072fbdf) but the last release hasn't included yet this fix. I fixed

Re: Build fail on Libgpg-error on Windows with gawk 5.0

2019-04-23 Thread Julien Nabet
On 23/04/2019 18:01, Thorsten Behrens wrote: Hi Julien, julien2412 wrote: It's been fixed upstream (see https://github.com/gpg/libgpg-error/commit/7865041c77f4f7005282f10f9bb19072fbdf) but the last release hasn't included yet this fix. I fixed Windows build locally by taking parts of the

Re: Build fail on Libgpg-error on Windows with gawk 5.0

2019-04-23 Thread Thorsten Behrens
Hi Julien, julien2412 wrote: > It's been fixed upstream (see > https://github.com/gpg/libgpg-error/commit/7865041c77f4f7005282f10f9bb19072fbdf) > but the last release hasn't included yet this fix. > > I fixed Windows build locally by taking parts of the patch. > Thx a lot - then let's please

Build fail on Libgpg-error on Windows with gawk 5.0

2019-04-23 Thread julien2412
Hello, On Win10, I updated Cygwin package and had the update gawk 5.0 The build failed because of the use of "namespace" as var name + wrong substitution. It's been fixed upstream (see https://github.com/gpg/libgpg-error/commit/7865041c77f4f7005282f10f9bb19072fbdf) but the last release